defmodule DecentralisedBookIndex.Sync.DataTransformers.PublisherTransformer do
  def from_json(json_body) do
    attrs =
      if Map.has_key?(json_body, "data") do
        %{
          id: get_in(json_body, ["data", "id"]),
          name: get_in(json_body, ["data", "attributes", "name"]),
          inserted_at: get_in(json_body, ["data", "attributes", "inserted_at"]),
          updated_at: get_in(json_body, ["data", "attributes", "updated_at"]),
        }
      else
        %{
          id: get_in(json_body, ["id"]),
          name: get_in(json_body, ["attributes", "name"]),
          inserted_at: get_in(json_body, ["attributes", "inserted_at"]),
          updated_at: get_in(json_body, ["attributes", "updated_at"]),
        }
      end

    {:ok, attrs}
  end
end
